#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define	pdir	PAR
%define	pnam	Packer
Summary:	PAR::Packer - PAR Packager
#Summary(pl.UTF-8):	
Name:		perl-PAR-Packer
Version:	1.045
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/PAR/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a3333754b0112ee8fe80083042b89a3b
Patch0:		x32.patch
URL:		http://search.cpan.org/dist/PAR-Packer/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Archive-Zip >= 1
BuildRequires:	perl-Getopt-ArgvFile >= 1.07
BuildRequires:	perl-IPC-Run3
BuildRequires:	perl-Module-ScanDeps >= 0.78
BuildRequires:	perl-PAR >= 1.014
BuildRequires:	perl-PAR-Dist >= 0.22
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_enable_debug_packages	0

%description
This module implements the App::Packer::Backend interface, for generating
stand-alone executables, perl scripts and PAR files.

# %description -l pl.UTF-8
# TODO

%package tkpp
Summary:	tkpp - frontend to pp written in Perl/Tk
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description tkpp
Tkpp is a GUI frontend to pp, which can turn perl scripts into stand-alone
PAR files, perl scripts or executables.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} -j1 \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} -j1 test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_bindir}/{,par-}pp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/par*
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/PAR/*
%{perl_vendorlib}/App/Packer/*
%{_mandir}/man3/*
%{_mandir}/man1/p*

%files tkpp
%attr(755,root,root) %{_bindir}/tkpp
%{_mandir}/man1/tkpp*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-PAR-Packer.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 736e143
- perl 5.38.0 rebuild

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 1791e2d
- Release 9 (by relup.sh)

* Tue Aug 23 2022 Jan Palus <atler@pld-linux.org> 3c04c20
- fix build on x32; rel 8

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 8197a56
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 513e7e6
- rebuild with perl 5.34.0

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> d835d3f
- rebuild with perl 5.32

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> bc7bfd3
- disable debug packages

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> fdb506e
- BR: perl-IPC-Run3

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> fae670b
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Dec 05 2019 Jan Rękorajski <baggins@pld-linux.org> 830f652
- rebuild with perl 5.30.0
- release 4 (by relup.sh)

* Thu Dec 05 2019 Jan Rękorajski <baggins@pld-linux.org> 6b12cb5
- rebuild with perl 5.30.0
- release 3 (by relup.sh)

* Fri Aug 31 2018 Jan Rękorajski <baggins@pld-linux.org> 5d8f85e
- rebuild with perl 5.28.0
- release 2 (by relup.sh)

* Tue Jul 10 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e7cd8d
- newer PAR needed

* Tue Jul 10 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 05adfeb
- avoid file conflict with nss-tools (pp binary)

* Tue Jul 10 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 55d1dfe
- up to 1.045

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 7875e1b
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ffdc49
- release 2

* Fri Sep 04 2009 amateja <amateja@pld-linux.org> b6127fd
- updated to 0.991

* Thu Jan 22 2009 radek <radek@pld-linux.org> de7c552
- release 2: separated /usr/bin/tkpp (requires perl-Tk)

* Thu Jan 22 2009 radek <radek@pld-linux.org> 28cd35d
- new

